Get the comments of a project

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/comments

Get the comments of the tasks of a project, page by page. Synchronization tools use this route. Clients and vendors cannot use this route.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

Query parameters

  • limit integer

    Number of rows in a page

    Default value is 100.

  • cursor_id string(uuid)

    Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit

  • page integer

    Page to get. Without page nor limit, the route returns all the comments in a list.

Responses

  • 200 application/json

    Without page, the list of comments. With page, an object with data, total, nb_pages, limit, offset and page.

    Hide response attributes Show response attributes object
    • id string(uuid)
    • object_id string(uuid)
    • person_id string(uuid)
    • text string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 403

    You do not have access to this project, or you are a client or a vendor

  • 404

    The project does not exist

GET /data/projects/{project_id}/comments
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/comments?limit=100" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/comments"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "limit": 100
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Response examples (200)
[
  {
    "id": "a24a6ea4-ce75-4665-a070-57453082c250",
    "object_id": "b24a6ea4-ce75-4665-a070-57453082c250",
    "person_id": "c24a6ea4-ce75-4665-a070-57453082c250",
    "text": "This task looks good",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
]